List Documents
curl --request GET \
--url https://api.eka.care/mr/api/v1/docs \
--header 'Authorization: Bearer <token>' \
--header 'X-Pt-Id: <x-pt-id>' \
--header 'accept: <accept>'import requests
url = "https://api.eka.care/mr/api/v1/docs"
headers = {
"accept": "<accept>",
"X-Pt-Id": "<x-pt-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {accept: '<accept>', 'X-Pt-Id': '<x-pt-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.eka.care/mr/api/v1/docs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"record": {
"item": {
"cases": [
"<string>"
],
"document_id": "df04c7e6-577b-4990-948c-5a31820c6a67",
"upload_date": 1722929975,
"document_type": "lr",
"metadata": {
"thumbnail": "https://vault-cdn.dev.eka.care/fac0704e-a0e3-4c93-a972-e6c1f188592d/df04c7e6-577b-4990-948c-5a31820c6a67/5dbc4b75-df1a-412d-82a3-77d54671398c.jpeg",
"document_date": 1722929975,
"tags": [
"<string>"
],
"auto_tags": [
"TYPE_TAG_SMART"
],
"title": "<string>",
"abha": {
"health_id": "mayank.singh@abdm"
}
},
"patient_id": 161494290947153
}
}
}
],
"next_token": "<string>",
"source_refreshed_at": 123
}Read
List Documents
To get the list of all the records for a given authenticated user.
GET
/
mr
/
api
/
v1
/
docs
List Documents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
To get response in json format
Available options:
application/json eka user id (OID)
Query Parameters
Filters the documents by returning all documents that were updated after the specified u_at__gt timestamp. The value should be a valid epoch timestamp.
Example:
1614556800
Please include the nextPageToken from the API response to enable pagination.
Was this page helpful?
⌘I

